ServerEvents.recipes(event => {

    let rock_gen = (output, time, adjacent, below) => {
    event.custom({
        "type": "thermal:rock_gen",
        "ticks": time,
        "adjacent": adjacent,
        "below": below,
        "result": {
            "item": output
        }
      })
    }

    event.remove({id: 'create:splashing/crushed_raw_copper'})
    rock_gen('create:veridium',320, 
        'botania:alchemy_catalyst', 
        'minecraft:sculk'
    )
    event.remove({id: 'create:splashing/crushed_raw_iron'})
    rock_gen('create:crimsite',360, 
        'botania:alchemy_catalyst', 
        'kubejs:red_carpet'
    )
    event.remove({id: 'create:splashing/crushed_raw_zinc'})
    rock_gen('create:asurine',280,
        'botania:alchemy_catalyst', 
        'kubejs:porous_stone'
    )
    rock_gen('thermal:rubber',400, 
        'kubejs:stripped_wallpaper', 
        'minecraft:air'
    )
    rock_gen('kubejs:concrete_piece', 200,
        'immersiveengineering:redstone_acid_fluid_block',
        'kubejs:floor_tiles'
    )
    rock_gen('enderio:grains_of_infinity',1800, 
        'enderio:fire_water', 
        'minecraft:bedrock'
    )
    rock_gen('kubejs:carpet_dust',60, 
        'thermal:device_collector', 
        'kubejs:carpet'
    )
    rock_gen('kubejs:quantum_string',12000,
        'mekanism:quantum_entangloporter', 
        'minecraft:loom'
    )
    rock_gen('thermal:sulfur_dust', 800,
        'thermal:device_collector',
        'kubejs:green_carpet'
    )

    //rock_gen('create:ochrum', 
    //    'create:rose_quartz_block', 
    //    'kubejs:red_carpet'
    //)

})

